<?php

/*
 * Copyright (C) TIPS4DESIGN SRL - All Rights Reserved
 * Unauthorized copying of this file or any parts of it, via any medium is strictly prohibited
 * Only a valid UXWizz license holder should have access to this file
 * Proprietary and confidential
 * Written by Cristian Buleandră <cristian@uxwizz.com>, Mon 04 March 2024
 */


require_once __DIR__ . '/../../login.php';
require_once __DIR__ . '/../../permissions.php';
try { checkPermission('SET_GPT_API_KEY'); } catch(Exception $e) { die($e->getMessage());}

$api_key = $_POST['api_key'];

if (!preg_match('/^sk-[a-zA-Z0-9]{32,64}$/', $api_key)) {
    die('Invalid OpenAI API key format. Required: [sk-{32-64 alphanumeric characters}]');
}

$query = "INSERT INTO `ust_meta` (`key`, `value`) VALUES('CHATBOT_SETTING_OPENAI_KEY', :api_key)
          ON DUPLICATE KEY UPDATE `value`=VALUES(`value`)";
$stmt = $db->prepare($query);
$stmt->bindValue(':api_key', $api_key, PDO::PARAM_STR);
$ok = $stmt->execute();

if (!$ok) {
    die('ERROR: Could not set API key.');
}
?>